#ifndef AUDIORESOURCE_H
#define AUDIORESOURCE_H

	#include <al/al.h>
	#include <al/alc.h>
	#include <al/alut.h>

	class AudioResource
	{
		protected:
			ALuint buffer;
			ALuint source;

		public:
			AudioResource();
			AudioResource(const char *f);
			~AudioResource();
			void play();
			void stop();
			void pause();

			int load(const char *) ;
			ALuint getSource();

			int getState();
			void setLooping(int);
			void setVolume(float);
	};


	/*class WavResource : public AudioResource
	{
		public:
			int load(const char *);
	};*/
#endif
