#ifndef FILESYSTEMDEVICE_H
#define FILESYSTEMDEVICE_H

    #include <string>
    #include <vector>

    class FilesystemDevice
    {
        protected:
            std::string executionPath;

        public:
            FilesystemDevice();
            std::string getPath();
            std::string getExecutionPath();
            void setExecutionPath(std::string);
            std::string getFileName(std::string);
            std::string getFilePath(std::string);
            void getDirectory(std::string, std::vector<std::string> &,
                std::string);
			int isDirectory(std::string);
    };

#endif
