#ifndef TIMERDEVICE_H
#define TIMERDEVICE_H

    #include <string>
    #include <map>

    #include "timer.h"

    typedef std::map<std::string, Timer *> t_timerMap;

    class TimerDevice
    {
        protected:
            t_timerMap timerMap;

        public:
            TimerDevice();
            ~TimerDevice();

            void newTimer(std::string);
            int removeTimer(std::string);
            int startTimer(std::string, double);
            int isTriggered(std::string);
    };

#endif
